Loading...
Searching...
No Matches
BALL::ReissCavFreeEnergyProcessor Class Reference
Molecular Modeling » Solvation methods

`#include <BALL/SOLVATION/reissCavFreeEnergyProcessor.h>`

Inheritance diagram for BALL::ReissCavFreeEnergyProcessor:

## Classes

struct | Option
struct | Default

## Public Member Functions

Constructors and Destructors
| ReissCavFreeEnergyProcessor ()
| ReissCavFreeEnergyProcessor (const ReissCavFreeEnergyProcessor &proc)
virtual | ~ReissCavFreeEnergyProcessor ()
Assignment
const ReissCavFreeEnergyProcessor & | operator= (const ReissCavFreeEnergyProcessor &proc)
virtual void | clear ()
Predicates
bool | operator== (const ReissCavFreeEnergyProcessor &proc) const
processor functions
virtual bool | finish ()
Public Member Functions inherited from BALL::EnergyProcessor
| EnergyProcessor ()
| EnergyProcessor (const EnergyProcessor &proc)
virtual | ~EnergyProcessor ()
const EnergyProcessor & | operator= (const EnergyProcessor &proc)
virtual bool | start ()
virtual Processor::Result | operator() (AtomContainer &fragment)
double | getEnergy () const
bool | isValid () const
bool | operator== (const EnergyProcessor &proc) const
Public Member Functions inherited from BALL::UnaryProcessor< AtomContainer >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()

## Options

Options | options

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer
const AtomContainer * | fragment_
double | energy_
bool | valid_

## Detailed Description

Processor for the computation of the cavitation free energy. This processor is using the SPT theory approach by Reiss et al., J. Chem. Phys. 37(1):119-124, 1960 with the modification for non-spherical solutes by Huron/Claverie, J. Phys. Chem. 76(15):2123-2133, 1972.

Energies are returned in units of kJ/mol.

Definition at line 33 of file reissCavFreeEnergyProcessor.h.

## Constructor & Destructor Documentation

## ReissCavFreeEnergyProcessor() [1/2]

BALL::ReissCavFreeEnergyProcessor::ReissCavFreeEnergyProcessor | ( |  | ) |

Default constructor

## ReissCavFreeEnergyProcessor() [2/2]

BALL::ReissCavFreeEnergyProcessor::ReissCavFreeEnergyProcessor | ( | const ReissCavFreeEnergyProcessor & | proc | ) |

Copy constructor

## ~ReissCavFreeEnergyProcessor()

virtual BALL::ReissCavFreeEnergyProcessor::~ReissCavFreeEnergyProcessor | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## clear()

virtual void BALL::ReissCavFreeEnergyProcessor::clear | ( |  | ) |

virtual

Clear function

Reimplemented from BALL::EnergyProcessor.

## finish()

virtual bool BALL::ReissCavFreeEnergyProcessor::finish | ( |  | ) |

virtual

This is where the actual computation takes place.

Reimplemented from BALL::UnaryProcessor< AtomContainer >.

## operator=()

const ReissCavFreeEnergyProcessor & BALL::ReissCavFreeEnergyProcessor::operator= | ( | const ReissCavFreeEnergyProcessor & | proc | ) |

Assignment operator

## operator==()

bool BALL::ReissCavFreeEnergyProcessor::operator== | ( | const ReissCavFreeEnergyProcessor & | proc | ) | const

Equality operator

## Member Data Documentation

## options

Options BALL::ReissCavFreeEnergyProcessor::options

Options for the calculation of the caviation free energy

Definition at line 181 of file reissCavFreeEnergyProcessor.h.